package com.qiyou.mb.android.beans.basic;

import android.text.TextUtils;

import com.qiyou.mb.android.utils.Utils;
import com.qiyou.mb.android.utils.enums.ActivityType;
 
public class Group_bean  { 
	
	 /* private int id;
	  private int svrNumber;
	  private String name;
	  private int type;
	  private int level;
	  private int score;
	  private GEOaddress location;
	  private String desc;
	  private User_bean owner;
	  private ArrayList<User_bean> admins;
	  private ArrayList<User_bean> users;
	  private Media photoAblbum;
	  
	  private float lat;
	  private float lon;
	  */
	private int userId; 
	private String userName;
	  private int id; 
	  private String name;
 	  private ActivityType type;
	  private int level;
	  private int score;
	  private float distance;
//	  private String location;
// 	  private GEOaddress address;
 	  private String desc;
 	  private User_bean owner; 
	  private GEO_bean geo; 
	  private String place;
	  private String address;
	  private String album;
 	  private Media photoAblbum; 
 	  private long created;
 	  private long lastupdated;
// 	 private float distrange; //距离范围查询参数
 	private long sportTime;
 	 private String startJsonString;
 	 private float lat;
	  private float lon; 
	 private int userCnt;
	 
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	 
	
	
	public ActivityType getType() {
		return type;
	}
	public void setType(ActivityType type) {
		this.type = type;
	}
	public int getLevel() {
		return level;
	}
	public void setLevel(int level) {
		this.level = level;
	}
	public int getScore() {
		return score;
	}
	public void setScore(int score) {
		this.score = score;
	}
	public float getDistance() {
		return distance;
	}
	public void setDistance(float distance) {
		this.distance = distance;
	}
//	public String getLocation() {
//		return location;
//	}
//	public void setLocation(String location) {
//		this.location = location;
//	}
//	public GEOaddress getAddress() {
//		return address;
//	}
//	public void setAddress(GEOaddress address) {
//		this.address = address;
//	}
	public String getDesc() {
		return desc;
	}
	public void setDesc(String desc) {
		this.desc = desc;
	}
	public User_bean getOwner() {
		return owner;
	}
	public void setOwner(User_bean owner) {
		this.owner = owner;
	}
	public GEO_bean getGeo() {
		if(geo==null ){
			if(!TextUtils.isEmpty(startJsonString )){	
				geo =(GEO_bean) Utils.getGsonObject(startJsonString, GEO_bean.class);
			}
			if(geo==null){
				geo= new GEO_bean();
			}
		}
		return geo;
	}
	public void setGeo(GEO_bean geo) {
		this.geo = geo;
	}
	public float getLat() {
		return lat;
	}
	public void setLat(float lat) {
		this.lat = lat;
	}
	public float getLon() {
		return lon;
	}
	public void setLon(float lon) {
		this.lon = lon;
	}
	public String getAlbum() {
		return album;
	}
	public void setAlbum(String album) {
		this.album = album;
	}
	public Media getPhotoAblbum() {
		return photoAblbum;
	}
	public void setPhotoAblbum(Media photoAblbum) {
		this.photoAblbum = photoAblbum;
	}
	public int getUserId() {
		return userId;
	}
	public void setUserId(int userId) {
		this.userId = userId;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public long getCreated() {
		return created;
	}
	public void setCreated(long created) {
		this.created = created;
	}
	public long getLastupdated() {
		return lastupdated;
	}
	public void setLastupdated(long lastupdated) {
		this.lastupdated = lastupdated;
	}
//	public float getDistrange() {
//		return distrange;
//	}
//	public void setDistrange(float distrange) {
//		this.distrange = distrange;
//	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public long getSportTime() {
		return sportTime;
	}
	public void setSportTime(long sportTime) {
		this.sportTime = sportTime;
	}
	public int getUserCnt() {
		return userCnt;
	}
	public void setUserCnt(int userCnt) {
		this.userCnt = userCnt;
	}
	public String getPlace() {
		return place;
	}
	public void setPlace(String place) {
		this.place = place;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	
}
